RecordReaderImpl.SargApplier (ORC Core 1.6.5 API)
Date: 2020-10-01

org.apache.orc.impl

## Class RecordReaderImpl.SargApplier

- java.lang.Object
- - org.apache.orc.impl.RecordReaderImpl.SargApplier

- Enclosing class:
    RecordReaderImpl

      public static class RecordReaderImpl.SargApplier
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean[]` | `READ_ALL_RGS`
    `static boolean[]` | `READ_NO_RGS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SargApplier(SearchArgument sarg, long rowIndexStride, SchemaEvolution evolution, OrcFile.WriterVersion writerVersion, boolean useUTCTimestamp, boolean writerUsedProlepticGregorian, boolean convertToProlepticGregorian)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean[]` | `pickRowGroups(StripeInformation stripe, OrcProto.RowIndex[] indexes, OrcProto.Stream.Kind[] bloomFilterKinds, List<OrcProto.ColumnEncoding> encodings, OrcProto.BloomFilterIndex[] bloomFilterIndices, boolean returnNone)` Pick the row groups that we need to load from the current stripe.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### READ_ALL_RGS

          public static final boolean[] READ_ALL_RGS

    - #### READ_NO_RGS

          public static final boolean[] READ_NO_RGS

  - ### Constructor Detail

    - #### SargApplier

          public SargApplier(SearchArgument sarg,
                             long rowIndexStride,
                             SchemaEvolution evolution,
                             OrcFile.WriterVersion writerVersion,
                             boolean useUTCTimestamp,
                             boolean writerUsedProlepticGregorian,
                             boolean convertToProlepticGregorian)

  - ### Method Detail

    - #### pickRowGroups

          public boolean[] pickRowGroups(StripeInformation stripe,
                                         OrcProto.RowIndex[] indexes,
                                         OrcProto.Stream.Kind[] bloomFilterKinds,
                                         List<OrcProto.ColumnEncoding> encodings,
                                         OrcProto.BloomFilterIndex[] bloomFilterIndices,
                                         boolean returnNone)
                                  throws IOException

      Pick the row groups that we need to load from the current stripe.
      Returns:
        an array with a boolean for each row group or null if all of the row groups must be read.
      Throws:
        `IOException`

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.